Name: libshortcut
Summary: Shortcut add feature supporting library
Version: 0.7.17
Release: 0
Group: Applications/Core Applications
License: Apache-2.0
Source0: %{name}-%{version}.tar.gz
Source1001: %{name}.manifest

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

BuildRequires: cmake, gettext-tools, coreutils
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(db-util)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(vconf)
BuildRequires: pkgconfig(capi-base-common)
BuildRequires: pkgconfig(aul)
BuildRequires: pkgconfig(libtzplatform-config)
BuildRequires: pkgconfig(capi-system-info)

%description
[Shortcut] AddToHome feature supporting library for menu/home screen developers.

%package devel
Summary:    AddToHome feature supporting library development files
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
[Shortcut] AddToHome feature supporting library for menu/home screen developers(dev).

%prep
%setup -q
cp %{SOURCE1001} .

%build
MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
%cmake . \
	-DSYSCONFDIR=%{_sysconfdir} \
	-DDB_PATH=%{TZ_SYS_DB}/.shortcut_service.db \
	-DMAJORVER=${MAJORVER} \
	-DFULLVER=%{version}
make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}

%make_install
mkdir -p %{buildroot}%{TZ_SYS_DB}

%post
/sbin/ldconfig

if [ ! -d %{TZ_SYS_DB} ]
then
	mkdir %{TZ_SYS_DB}
fi

%postun -n %{name} -p /sbin/ldconfig

%files -n libshortcut
%license LICENSE
%manifest %{name}.manifest
%defattr(-,root,root,-)
%{_libdir}/libshortcut.so.*
%{_sysconfdir}/package-manager/parserlib/*

%files devel
%manifest %{name}.manifest
%defattr(-,root,root,-)
%{_includedir}/shortcut/shortcut.h
%{_includedir}/shortcut/shortcut_private.h
%{_includedir}/shortcut/shortcut_manager.h
%{_includedir}/shortcut/shortcut_db.h
%{_includedir}/shortcut/shortcut_internal.h
%{_includedir}/shortcut/shortcut_error.h
%{_libdir}/pkgconfig/shortcut.pc
%{_libdir}/libshortcut.so

# End of a file
